Bug 851721 - Review Request: perl-Net-Nessus-XMLRPC - Communicate with Nessus scanner(v4.2+) via XMLRPC
Review Request: perl-Net-Nessus-XMLRPC - Communicate with Nessus scanner(v4.2...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 16:16 EDT by Olivier Bilodeau
Modified: 2015-07-21 08:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-04 08:48:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Olivier Bilodeau 2012-08-24 16:16:13 EDT
Spec URL: https://github.com/inverse-inc/perl-Net-Nessus-XMLRPC.spec/raw/master/perl-Net-Nessus-XMLRPC.spec
SRPM URL: https://github.com/inverse-inc/perl-Net-Nessus-XMLRPC.spec/raw/master/perl-Net-Nessus-XMLRPC-0.30-1.fc17.src.rpm

Description: 
This is Perl interface for communication with Nessus scanner over XMLRPC. You
can start, stop, pause and resume scan. Watch progress and status of scan,
download report, etc.

Fedora Account System Username: obilodeau

This is my first package and I need a sponsor. We've done several perl packages in our own repo in the PacketFence project[1] but now I'm trying to improve and upstream that here so that everyone in the greater ecosystem will benefit. This is the first of probably many perl packages. I'm also interested in updating the asciidoc package and I started working on that and got some feedback there also.

Successful koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=4390697

[1]: http://www.packetfence.org/
Comment 1 Olivier Bilodeau 2012-08-28 13:56:40 EDT
I've made a few updates:

- Added "Provides:" in the form of perl(Net::Nessus::XMLRPC)
- Clarified license based on Packaging:Perl guidelines

Updated spec and SRPM available at the same URL as given previously.

Successful koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4430937
Comment 2 Olivier Bilodeau 2012-09-10 10:12:26 EDT
Updates:

- whitespace cleanup
- global instead of define
- removed useless Provides:...
- Source URL now uses real_name global

I plan to propose this to EPEL5 also.

Successful koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4472101

The SPEC and SRPM URLs are still valid.

Let me know about anything else I can do to move this forward.
Comment 3 Petr Šabata 2013-04-16 10:41:31 EDT
Taking the review along with another Olivier's package, bug #852503.
Comment 4 Petr Šabata 2013-04-16 10:49:54 EDT
Ok, again.  SRPM and spec differ.
Please, fix that first.
Comment 5 Petr Šabata 2014-04-04 09:44:39 EDT
Ping.
Comment 6 Petr Šabata 2014-08-04 08:48:45 EDT
Closing for inactivity.

Note You need to log in before you can comment on or make changes to this bug.